<a [routerLink]="['/home']" class="home"><mat-icon>home</mat-icon></a>
<!-- <mat-card *ngIf="products.length > 0; else emptyCart">
  <mat-card-content>
    <div class="table-responsive">
      <table class="table product-table">
        <thead class="mdb-color lighten-5">
          <tr>
            <th></th>
            <th class="font-weight-bold">
              <strong>Product</strong>
            </th>
            <th></th>
            <th class="font-weight-bold">
              <strong>Price</strong>
            </th>
            <th class="font-weight-bold">
              <strong>QTY</strong>
            </th>
            <th class="font-weight-bold">
              <strong>Amount</strong>
            </th>
            <th class="font-weight-bold">
              <strong>Size</strong>
            </th>
            <th></th>
          </tr>
        </thead>

        <tbody *ngIf="isLoaded">
          <div *ngFor="let product of products">
            <tr>
              <th scope="row">
                <img
                  [src]="url + product.picturePath"
                  alt=""
                  class="img-fluid z-depth-0"
                />
              </th>
              <td>
                <h5 class="mt-3">
                  <strong>{{ product.title }}</strong>
                </h5>
              </td>
              <td></td>
              <td>${{ product.price }}</td>
              <td>
                <input
                  type="number"
                  [value]="product.quantity"
                  aria-label="Search"
                  class="form-control"
                  style="width: 100px"
                  min="1"
                  (change)="onQuantityChange(product, $event.target.value)"
                />
              </td>
              <td class="font-weight-bold">
                <strong
                  >${{
                    product.price * product.quantity | number: "2.0-2"
                  }}</strong
                >
              </td>
              <td class="font-weight-bold">
                {{ product.size }}
              </td>
              <td>
                <button
                  mat-fab
                  color="primary"
                  (click)="removeProduct(product.id)"
                >
                  <mat-icon>delete</mat-icon>
                </button>
              </td>
            </tr>
          </div>
          <tr>
            <td>
              <button mat-fab color="warn" (click)="clearCart()">
                <mat-icon title="Clear cart">clear_all</mat-icon>
              </button>
            </td>
            <td colspan="3"></td>
            <td>
              <h4 class="mt-2">
                <strong>Total</strong>
              </h4>
            </td>
            <td class="text-right">
              <h4 class="mt-2">
                <strong>${{ total | number: "3.0-2" }}</strong>
              </h4>
            </td>
            <td colspan="3" class="text-right">
              <button mat-raised-button (click)="onPurchase()">
                Complete purchase
                <mat-icon fas icon="angle-right" class="right"></mat-icon>
              </button>
            </td>
          </tr>
        </tbody>
      </table>
    </div>
  </mat-card-content>
</mat-card>
<ng-template #emptyCart><div>Cart is empty</div></ng-template> -->

<section *ngIf="products.length; else emptyCart">
  <!--Grid row-->
  <div>
    <!--Grid column-->
    <div class="col-lg-8">
      <!-- Card -->
      <div class="mb-3">
        <div class="pt-4 wish-list">
          <h5 class="mb-4">
            Cart (<span>{{ products.length }}</span> items)
          </h5>

          <div *ngFor="let product of products">
            <div class="row mb-4">
              <div class="col-md-5 col-lg-3 col-xl-3">
                <div class="view zoom overlay z-depth-1 rounded mb-3 mb-md-0">
                  <img
                    class="img-fluid w-100 product-image"
                    [src]="url + product.picture_path"
                    alt="product picture"
                  />
                </div>
              </div>
              <div class="col-md-7 col-lg-9 col-xl-9">
                <div>
                  <div class="d-flex justify-content-between">
                    <div>
                      <h5>{{ product.title }}</h5>
                      <p class="mb-3 text-muted text-uppercase small">
                        Price: ${{ product.price }}
                      </p>
                      <p class="mb-3 text-muted text-uppercase small">
                        Size: {{ product.size }}
                      </p>
                    </div>
                    <div>
                      <div class="d-flex justify-content-end quantity-btn">
                        <button
                          mat-icon-button
                          (click)="incrementQuantity(product)"
                        >
                          <mat-icon aria-label="add">add</mat-icon>
                        </button>
                      </div>
                      <div
                        class="d-flex def-number-input number-input safari_only mb-0 w-100"
                      >
                        <input
                          class="quantity"
                          min="1"
                          [value]="product.quantity"
                          aria-label="Search"
                          type="number"
                          (change)="
                            onQuantityChange(product, $event.target.value)
                          "
                        />
                      </div>
                      <div class="d-flex justify-content-end quantity-btn">
                        <button
                          mat-icon-button
                          (click)="decrementQuantity(product)"
                        >
                          <mat-icon aria-label="remove">remove</mat-icon>
                        </button>
                      </div>
                    </div>
                  </div>
                  <div
                    class="d-flex justify-content-between align-items-center"
                  >
                    <div>
                      <button
                        mat-fab
                        color="primary"
                        (click)="removeProduct(product.id)"
                      >
                        <mat-icon>delete</mat-icon>
                      </button>
                    </div>
                    <p class="mb-0">
                      <span
                        ><strong id="summary"
                          >${{
                            product.price * product.quantity | number: "2.0-2"
                          }}</strong
                        ></span
                      >
                    </p>
                  </div>
                </div>
              </div>
            </div>
          </div>
          <hr class="mb-4" />
        </div>
      </div>
      <!-- Card -->

      <div class="mb-3">
        <button mat-fab color="warn" (click)="clearCart()">
          <mat-icon title="Clear cart">clear_all</mat-icon>
        </button>
        <div class="pt-4">
          <h5 class="mb-4">We accept</h5>

          <img
            class="mr-2"
            width="45px"
            src="https://mdbootstrap.com/wp-content/plugins/woocommerce-gateway-stripe/assets/images/visa.svg"
            alt="Visa"
          />
          <img
            class="mr-2"
            width="45px"
            src="https://mdbootstrap.com/wp-content/plugins/woocommerce-gateway-stripe/assets/images/amex.svg"
            alt="American Express"
          />
          <img
            class="mr-2"
            width="45px"
            src="https://mdbootstrap.com/wp-content/plugins/woocommerce-gateway-stripe/assets/images/mastercard.svg"
            alt="Mastercard"
          />
          <img
            class="mr-2"
            width="45px"
            src="https://mdbootstrap.com/wp-content/plugins/woocommerce/includes/gateways/paypal/assets/images/paypal.png"
            alt="PayPal acceptance mark"
          />
        </div>
      </div>
      <!-- Card -->
    </div>
    <!--Grid column-->

    <!--Grid column-->
    <div class="col-lg-4">
      <!-- Card -->
      <div class="mb-3">
        <div class="pt-4">
          <ul class="list-group list-group-flush">
            <li
              class="list-group-item d-flex justify-content-between align-items-center border-0 px-0 mb-3"
            >
              <div>
                <h5 class="mb-3">The total amount of</h5>
              </div>
              <span
                ><strong>${{ total | number: "1.0-2" }}</strong></span
              >
            </li>
          </ul>

          <button
            type="button"
            (click)="onPurchase()"
            class="btn btn-primary btn-block"
          >
            go to checkout
          </button>
        </div>
      </div>
      <!-- Card -->
    </div>
    <!--Grid column-->
  </div>
  <!-- Grid row -->
</section>
<ng-template #emptyCart><div>Cart is empty</div></ng-template>
